@import '../../_mixins.scss';

.user-modal {
  .modal-dialog .modal-content .modal-body {
    padding: 15px 5px;

    .user-modal__body {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
    }

    .user-modal__loader{
      transform: translate(-50%, -50%);
    }
  }

}

.user-details-modal {
  .user-details-modal__body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;

    .user-details-modal__body-field {
      display: flex;
      flex-direction: column;
      padding: 20px 10px;
      overflow: hidden;
      width: 33%;
      overflow: hidden;

      label {
        font-family: var(--font-first);
        font-size: var(--font-m);
        @include text_one_line;
        white-space: unset;
        word-break: break-all;

        &:first-child {
          color: var(--grey-label);
        }

        &:nth-child(2) {
          color: var(--black-font);
        }
      }
    }
  }
}
